- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# Opaque types
[Typedefs]

## Detailed Description

Opaque data type definitions.

## Typedefs
typedef cp_context_t | cp_context_t
| A plug-in context represents the co-operation environment of a set of plug-ins from the perspective of a particular participating plug-in or the perspective of the main program.

## Typedef Documentation

typedef struct cp_context_t cp_context_t

A plug-in context represents the co-operation environment of a set of plug-ins from the perspective of a particular participating plug-in or the perspective of the main program.

It is used as an opaque handle to the shared resources but the framework also uses the context to identify the plug-in or the main program invoking framework functions. Therefore a plug-in should not generally expose its context instance to other plug-ins or the main program and neither should the main program expose its context instance to plug-ins. The main program creates plug-in contexts using cp_create_context and plug-ins receive their plug-in contexts via cp_plugin_runtime_t::create.

Generated on Fri Apr 6 15:40:55 2007 for C-Pluff C API by 1.5.1